Subject: Re: bug#67174: 30.0.50; [PATCH] What about a vectorized Gnus mode-line logo?

From: Manuel Giraud <[email-masked]>
Date: Thu, 08 Feb 2024 16:52:28 +0100

Visuwesh <[email-masked]> writes:

> [சனி பிப்ரவரி 03, 2024] Manuel Giraud wrote:
>
> Hello Manuel,
>
>> Visuwesh <[email-masked]> writes:
>>
>> [...]
>>
>>> That would be nice to have since I do like the little splash of
>>> colour.
>>
>> Hi Visuwesh (and all),
>>
>> What do you think of this attached patch?  Now that SVG are honoring the
>> colors of the face property, I just add a face property to the logo.
>>
>> I have chosen 'font-lock-function-name-face' because it is a somewhat
>> standard face and it is of color Blue1 (#0000ff) with the default Emacs
>> theme (this is the same color of the XPM logo).
>>
>> Using a face property also have the nice property (😁) of automatically
>> adapt to any other theme.
>
> I know that I asked about adding a splash of colour to the mode-line but
> now that I have run the monochrome Gnus logo, I don't feel the need for
> the splash of colour anymore.  But if general consensus is that we add a
> new face for this, can we add a new face that inherits from
> font-lock-function-name-face instead?

Hi Visuwesh,

Yes, that would make much more sense indeed.  But like you now, I'm used
to the monochrome logo so if no one pushes for this change maybe it
could be abandoned.
-- 
Manuel Giraud